Package org.gradle.api.publish.maven

## Interface MavenArtifact

- All Superinterfaces:
    `Buildable`, `PublicationArtifact`

      public interface MavenArtifact
      extends PublicationArtifact

  An artifact published as part of a `MavenPublication`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getClassifier()` | The classifier used to publish the artifact file.
    `java.lang.String` | `getExtension()` | The extension used to publish the artifact file, never `null`.
    `void` | `setClassifier​(java.lang.String classifier)` | Sets the classifier used to publish the artifact file.
    `void` | `setExtension​(java.lang.String extension)` | Sets the extension used to publish the artifact file.

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

    - ### Methods inherited from interface org.gradle.api.publish.PublicationArtifact

      `builtBy, getFile`

- - ### Method Detail

    - #### getExtension

          java.lang.String getExtension()

      The extension used to publish the artifact file, never `null`. For an artifact without an extension, this value will be an empty String.

    - #### setExtension

          void setExtension​(java.lang.String extension)

      Sets the extension used to publish the artifact file.
      Parameters:
        `extension` - The extension.

    - #### getClassifier

          @Nullable
          java.lang.String getClassifier()

      The classifier used to publish the artifact file. A `null` value (the default) indicates that this artifact will be published without a classifier.

    - #### setClassifier

          void setClassifier​(@Nullable
                             java.lang.String classifier)

      Sets the classifier used to publish the artifact file.
      Parameters:
        `classifier` - The classifier.